"use strict";
exports.__esModule = true;
var adapter_1 = require("../adapter");
var isValidJSON = function (input) {
    try {
        /*
          Null and Undefined
          JavaScript (and by extension TypeScript) has two bottom types : null and undefined. They are intended to mean different things:
          - Something hasn't been initialized : undefined.
          - Something is currently unavailable: null.
          I personally don't care to distinguish between the two as most projects use libraries with differing opinions and
          just rule out both with == null.
          REF: https://basarat.gitbooks.io/typescript/docs/javascript/null-undefined.html
        */
        var response = adapter_1["default"].to(input);
        console.log(response);
        return response instanceof Object;
    }
    catch (error) {
        if (error instanceof Error) {
            console.error("Error: Failed validating: " + input + ", error:", error);
        }
    }
    return false;
};
var jsonValidator = {
    isValid: isValidJSON
};
exports["default"] = jsonValidator;
